/* 口碑大方框数字样式  @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
.txtnumberboder{
    align-items: center;
    width: 14.375rem;
    height: 5.9375rem;
    border: 3px solid #e7eafa;
    border-radius: 1.5rem;
    display: flex; 
    flex-direction: column; 
    justify-content: center;
}
.txtnumber{
    position: relative;
color: #386af3;
font-size: 2rem;
font-weight: bold;
font-family: Impact;
letter-spacing: 1px;
}

.txtnumber-container {
position: relative;
display: inline-block;
font-size: 1.5rem;
}


.txtplus {
position: absolute;
top: -0.1rem;
right: -0.7rem;
font-size: 1rem;
font-weight: bold;
color: #386af3;
letter-spacing: 1px;
}


/* 所有需要调用触发动画的元素,要引用这个类 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*/
.animated-div {}

/* TOP三个图片动画 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*/
.img_c{
    position: absolute;
    opacity: 0;
}

@keyframes aAnimation {
    0% {
        transform: translateY(10%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes bAnimation {
    0% {
        transform: translateX(30%) rotate(28deg);
        opacity: 0;
    }
    100% {
        transform: translateX(0) rotate(20deg);
        opacity: 1;
    }
}

@keyframes cAnimation {
    0% {
        transform: translateX(-30%) rotate(-15deg);
        opacity: 0;
    }
    100% {
        transform: translateX(0) rotate(-10deg);
        opacity: 1;
    }
}

.image-a {
    z-index: 1;
    animation: aAnimation 1s ease forwards; 
}

.image-b {
    z-index: 2;
    left: 60%;
    top: 30%;
    transform: rotate(20deg);
    animation: bAnimation 2s ease forwards; 
    animation-delay: 400ms; 
}

.image-c {
    z-index: 3;
    left: 25%;
    top: 25%;
    transform: rotate(-10deg);
    animation: cAnimation 2300ms ease forwards; 
    animation-delay: 600ms;
}



/* TOP文字部分动画 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */

@keyframes txt-cbaseAnimation {
    0% {
        transform: translateY(20%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}


@keyframes txt-cbaseAnimation_to_left {
    0% {
        transform: translateX(10%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes txt-cbaseAnimation_to_right {
    0% {
        transform: translateX(-10%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes txt-cbaseAnimation_to_100 {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}


.txt-cbase {
    /* position: absolute; */
    /* transform: translateY(20%); */
    opacity: 0;
    /* animation: txt-cbaseAnimation 400ms ease forwards;  */
    /* animation-delay: 100ms; */
}





.txt-cbase-start {
    animation: txt-cbaseAnimation 400ms ease forwards; 
}

.txt-cbase-start_low1 {
    animation: txt-cbaseAnimation 1100ms ease forwards; 
}


/* 独特优势 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
@keyframes dtAnimation {
    0% {
        transform: translateY(10%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.image-dt1 {
    z-index: 1;
    width:17rem;height:auto;position: absolute;left: 40%;top: 40%;
    opacity: 0;  
}
.image-dt1.visible {
    /* animation: dtAnimation 700ms ease forwards;   */
    animation: txt-cbaseAnimation_to_right 700ms ease forwards;  
    
}

.image-dt2 {
    z-index: 2;
    width:12rem;height:auto;position:  absolute;left: 16%;top: 30%;
    opacity: 0;
}
.image-dt2.visible {
    animation: txt-cbaseAnimation_to_right 700ms ease forwards; 
    animation-delay: 400ms;
}


.image-dt3 {
    z-index: 3;
    width:auto;height: 12rem;position: absolute;left: 70%;top: 17%;
    opacity: 0;
}
.image-dt3.visible {
    animation: txt-cbaseAnimation_to_right 1100ms ease forwards; 
    animation-delay: 600ms;
}

.dt_rows_container {
    width: 100%;
    margin: 0 auto;
    padding: 0rem;
    padding-top: 1rem;
    border: 0px solid #ccc;
}

.dt_row {
    display: flex;
    align-items: center;
    margin-bottom: 1.2rem;
}

.dt_row_text {
    font-size: 1.1rem;
    color: #1D2129;
}




/* 弹出遮罩层 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
/* 遮罩样式 */
.overlay {
    display: none; /* 默认隐藏 */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* 半透明黑色 */
    z-index: 1000; /* 确保遮罩在最上层 */
  }
  
  /* 内容框样式 */
  .content-box {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* 居中 */
    width: 800px;
    height: 400px;
    padding: 0px;
    background-color: white;
    border-radius: 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1001; /* 确保内容框在遮罩上层 */
  }
  
  /* 按钮样式 */
  .show-button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border: none;
    background-color: #007bff;
    color: white;
    border-radius: 5px;
  }
  
  
  
  /* 弹出层右上角关闭按钮区域 */
  .custom_close-div {
    width: 60px;
    height: 55px;
    border-top-left-radius: 0; /* 左上角直角 */
    border-top-right-radius: 30px; /* 右上角30px圆角 */
    border-bottom-left-radius: 60px; /* 左下角60px圆角 */
    border-bottom-right-radius: 0; /* 右下角直角 */
    background-color: #FE6900; /* 背景颜色，可根据需要调整 */
    text-align: center;
    cursor: pointer;
  }
  

